/*
 * Author: pl 200211xx
 * License: GPLv2
 *
 *  WARNING: these operations are not multithread-safe when used concurrently on
 * a same file descriptor
 * */

#ifndef __PREAD_PWRITE_H__
#define __PREAD_PWRITE_H__ 1

#ifdef MSWIN

#include <sys/types.h>
#include "win-compat.h"
ssize_t pread(int fd, void *buf, size_t count, off_t offset);
ssize_t pwrite(int fd, void *buf, size_t count, off_t offset);

#else /* MSWIN */

#include <unistd.h>

#endif /* !MSWIN */

#endif /* !__PREAD_PWRITE_H__ */
